## espa-nol 1.11

=== Makefile ===
--- 
+++ 
@@ -63,7 +63,7 @@
 # numerous languages.
 #
 LANGUAGE	=	espa~nol
-DICTIONARY	=	$(LANGUAGE).words $(LANGUAGE).comp
+DICTIONARY	=	$(LANGUAGE).words $(LANGUAGE).comp $(LANGUAGE).nofl
 HASHFILE	=	$(LANGUAGE).hash
 
 #
