=== debian/changelog ===
espa-nol (1.11-21) unstable; urgency=medium

  * debian/control:
    - Update myspell-es Suggests.
    - Bump Standards-Version to 4.7.2. No changes.
    - Remove ancient quilt Build-Dep.
  * Update some lintian overrides.
  * debian/watch: Upgrade to version 5.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 13 Oct 2025 11:06:50 +0200

espa-nol (1.11-20) unstable; urgency=medium

  * Enable creation of dictionaries in .bdic format.
  * debian/copyright: Update Debian section year to 2022.
  * Update some lintian overrides to new format.
  * Bump Standards-Version. No changes required.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 13 Dec 2022 22:49:52 +0100

espa-nol (1.11-19) unstable; urgency=medium

  * debian/rules: fix word count for myspell dict.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 13 Oct 2021 18:28:27 +0200

espa-nol (1.11-18) unstable; urgency=medium

  * Re-add myspell-es symlinks.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 04 Oct 2021 09:34:08 +0200

espa-nol (1.11-17) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from old 12 to 13.

  [ Agustin Martin Domingo ]
  * Use dh_* sequencer.
  * debian/{LEAME.Debian,README.Debian,README.MySpell_es_ES}: Recode to
    UTF-8.
  * Add some lintian overrides.
  * debian/control:
    - Add Rules-Requires-Root: no.
    - Bump Standards-Version. No changes required.
  * debian/watch: Use https for upstream url.
  * debian/copyright: Make DEP5.
  * debian/ispanish.links: no need to add usr/lib/ispell/espa~nol.hash ->
    var/lib/ispell/espa~nol.hash symlink, it is handled by
    ispell-autobuildhash.

 -- Agustin Martin Domingo <agmartin@debian.org>  Sun, 03 Oct 2021 23:07:48 +0200

espa-nol (1.11-16) unstable; urgency=low

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 28 Dec 2020 17:07:54 +0100

espa-nol (1.11-15.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Fri, 25 Dec 2020 18:09:20 +0100

espa-nol (1.11-15) unstable; urgency=medium

  * debian/control:
    - Update Vcs-Browser and Vcs-Git for salsa migration.
    - Bump Standards-Version. No changes required.
  * Bump debhelper compat level to 11.

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 04 May 2018 16:53:15 +0200

espa-nol (1.11-14) unstable; urgency=medium

  * debian/control::myspell-es: Use Conflicts where needed.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 22 Sep 2015 12:29:05 +0200

espa-nol (1.11-13) unstable; urgency=medium

  * debian/control:: myspell-es: Provide hunspell counterparts.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 21 Sep 2015 19:04:49 +0200

espa-nol (1.11-12) unstable; urgency=medium

  * debian/control: Break possible hunspell-es to avoid name collisions.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 21 Sep 2015 15:18:29 +0200

espa-nol (1.11-11) unstable; urgency=medium

  * debian/rules: Make sure build is always done in a reproducible and
    working LC_ALL=C language environment

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 18 Jun 2015 20:19:21 +0200

espa-nol (1.11-10) unstable; urgency=medium

  * debian/rules: Make the build reproducible.
    Thanks Chris Lamb (Closes: #779162).

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 09 Apr 2015 17:29:31 +0200

espa-nol (1.11-9) unstable; urgency=low

  * debian/control:
    - Make aspell-es "Multi-Arch: foreign" (See aspell-en #763892).
    - Update Vcs-Browser to cgit address.
    - Bump Standards-Version. No changes required.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 06 Oct 2014 16:17:32 +0200

espa-nol (1.11-8) unstable; urgency=low

  * Do not ship /var/lib/{a,i}spell dirs nor related symlinks.
  * Rebuild against sid dictionaries-common-dev 1.23.2 to properly clean
    dirs.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 24 Apr 2014 11:31:23 +0200

espa-nol (1.11-7) unstable; urgency=low

  * Rebuild against sid dictionaries-common-dev 1.23.0.
  * debian/rules: Create es.cwl.gz in a single line (LP: #73304).

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 09 Apr 2014 15:35:51 +0200

espa-nol (1.11-6~exp1) experimental; urgency=low

  * Rebuild against experimental dictionaries-common-dev.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 06 Mar 2014 20:09:40 +0100

espa-nol (1.11-5) unstable; urgency=low

  * debian/control:
    - Modify to use dictionaries-common-dev (>= 1.22.0) features:
      + ${ispell:Depends}, ${aspell:Depends}, ${hunspell:Depends}
      + Deal with remove files in debhelper snippet.
    - Bump Standards Version. No changes required.
    - Canonicalize Vcs-* headers.
    - Change versioned Conflicts to Breaks.
  * Add debian/source/format for 3.0 (quilt). Add empty series file.
  * debian/watch: Remove dh_make header.
  * debian/aspell-es.links: Recode to UTF-8.
  * debian/ispanish.postinst: Explicitly use 'set -e'

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 05 Mar 2014 12:36:13 +0100

espa-nol (1.11-4) unstable; urgency=low

  * No longer build depend on obsolete dpatch package.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 06 Feb 2012 19:12:24 +0100

espa-nol (1.11-3) unstable; urgency=low

  * debian/rules:
    - Fix lintian debian-rules-missing-recommended-target build-{arch,indep}.
  * debian/control:
    - Improve myspell-eo suggestions line and add libreoffice.
    - Does not need to provide hunspell dictionary.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 14 Sep 2011 13:28:47 +0200

espa-nol (1.11-2) unstable; urgency=low

  * Build-depend on at least dictionaries-common-dev (>= 1.11.2):
    - Stop calling update-openoffice-dicts (Closes: #628810).

