=== debian/watch ===
Version: 5

Source: https://www.datsi.fi.upm.es/~coes/espell_leame.html
Matching-Pattern: /~coes/espa~nol-(.*)\.tar\.gz
